> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/AllocatedStockPositions/{itemId} ## OpenAPI ````json GET /v26.4/AllocatedStockPositions/{itemId} { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/AllocatedStockPositions/{itemId}": { "get": { "tags": [ "AllocatedStockPositions" ], "parameters": [ { "name": "itemId", "in": "path", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/AllocatedStockPositionDTO" } }, "application/json": { "schema": { "$ref": "#/components/schemas/AllocatedStockPositionDTO" } }, "text/json": { "schema": { "$ref": "#/components/schemas/AllocatedStockPositionDTO" } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "AllocatedStockPositionDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "storeId": { "type": "integer", "format": "int32", "nullable": true }, "productId": { "type": "integer", "format": "int32", "nullable": true }, "parentAllocatedStockPositionId": { "type": "integer", "format": "int32", "nullable": true }, "stock": { "type": "number", "format": "double", "nullable": true }, "allocatedStockTypeId": { "type": "integer", "format": "int32", "nullable": true }, "locationLevel5Id": { "type": "integer", "format": "int32", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````